org.apache.hadoop.yarn.webapp.hamlet

## Class Hamlet.BODY<T extends HamletSpec._>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet.Hamlet.BODY<T>

- All Implemented Interfaces:
    HamletSpec._, HamletSpec._Block, HamletSpec._Body, HamletSpec._Child, HamletSpec._FieldSet, HamletSpec._Form, HamletSpec._InsDel, HamletSpec._Script, HamletSpec.Attrs, HamletSpec.Block, HamletSpec.BODY, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.Heading, HamletSpec.I18nAttrs, HamletSpec.Listing, HamletSpec.Preformatted
  Enclosing class:
    Hamlet

      public class Hamlet.BODY<T extends HamletSpec._>
      extends HamletImpl.EImp<T>
      implements HamletSpec.BODY

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BODY(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.BODY<T>` | `_(Class<? extends SubView> cls)` Embed a sub-view.
    `Hamlet.BODY<T>` | `$class(String value)` space-separated list of classes
    `Hamlet.BODY<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.BODY<T>` | `$id(String value)` document-wide unique id
    `Hamlet.BODY<T>` | `$lang(String value)` language code
    `Hamlet.BODY<T>` | `$onclick(String value)` a pointer button was clicked
    `Hamlet.BODY<T>` | `$ondblclick(String value)` a pointer button was double clicked
    `Hamlet.BODY<T>` | `$onkeydown(String value)` a key was pressed down
    `Hamlet.BODY<T>` | `$onkeypress(String value)` a key was pressed and released
    `Hamlet.BODY<T>` | `$onkeyup(String value)` a key was released
    `Hamlet.BODY<T>` | `$onload(String value)` The document has been loaded.
    `Hamlet.BODY<T>` | `$onmousedown(String value)` a pointer button was pressed down
    `Hamlet.BODY<T>` | `$onmousemove(String value)` a pointer was moved within
    `Hamlet.BODY<T>` | `$onmouseout(String value)` a pointer was moved away
    `Hamlet.BODY<T>` | `$onmouseover(String value)` a pointer was moved onto
    `Hamlet.BODY<T>` | `$onmouseup(String value)` a pointer button was released
    `Hamlet.BODY<T>` | `$onunload(String value)` The document has been removed
    `Hamlet.BODY<T>` | `$style(String value)` associated style info
    `Hamlet.BODY<T>` | `$title(String value)` advisory title
    `Hamlet.ADDRESS<Hamlet.BODY<T>>` | `address()` Add a ADDRESS element.
    `Hamlet.BODY<T>` | `address(String cdata)` Add a complete ADDRESS element.
    `Hamlet.BLOCKQUOTE<Hamlet.BODY<T>>` | `blockquote()` Add a BLOCKQUOTE element.
    `Hamlet.BLOCKQUOTE<Hamlet.BODY<T>>` | `bq()` Alias of blockquote
    `Hamlet.DEL<Hamlet.BODY<T>>` | `del()` Add a DEL (delete) element.
    `Hamlet.BODY<T>` | `del(String cdata)` Add a complete DEL element.
    `Hamlet.DIV<Hamlet.BODY<T>>` | `div()` Add a DIV element.
    `Hamlet.DIV<Hamlet.BODY<T>>` | `div(String selector)` Add a DIV element.
    `Hamlet.DL<Hamlet.BODY<T>>` | `dl()` Add a DL (description list) element.
    `Hamlet.DL<Hamlet.BODY<T>>` | `dl(String selector)` Add a DL element.
    `Hamlet.FIELDSET<Hamlet.BODY<T>>` | `fieldset()` Add a FIELDSET element.
    `Hamlet.FIELDSET<Hamlet.BODY<T>>` | `fieldset(String selector)` Add a FIELDSET element.
    `Hamlet.FORM<Hamlet.BODY<T>>` | `form()` Add a FORM element.
    `Hamlet.FORM<Hamlet.BODY<T>>` | `form(String selector)` Add a FORM element.
    `Hamlet.H1<Hamlet.BODY<T>>` | `h1()` Add an H1 element.
    `Hamlet.BODY<T>` | `h1(String cdata)` Add a complete H1 element.
    `Hamlet.BODY<T>` | `h1(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H2<Hamlet.BODY<T>>` | `h2()` Add an H2 element.
    `Hamlet.BODY<T>` | `h2(String cdata)` Add a complete H2 element.
    `Hamlet.BODY<T>` | `h2(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H3<Hamlet.BODY<T>>` | `h3()` Add an H3 element.
    `Hamlet.BODY<T>` | `h3(String cdata)` Add a complete H3 element.
    `Hamlet.BODY<T>` | `h3(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H4<Hamlet.BODY<T>>` | `h4()` Add an H4 element.
    `Hamlet.BODY<T>` | `h4(String cdata)` Add a complete H4 element.
    `Hamlet.BODY<T>` | `h4(String selector, String cdata)` Add a complete H4 element
    `Hamlet.H5<Hamlet.BODY<T>>` | `h5()` Add an H5 element.
    `Hamlet.BODY<T>` | `h5(String cdata)` Add a complete H5 element.
    `Hamlet.BODY<T>` | `h5(String selector, String cdata)` Add a complete H5 element
    `Hamlet.H6<Hamlet.BODY<T>>` | `h6()` Add an H6 element.
    `Hamlet.BODY<T>` | `h6(String cdata)` Add a complete H6 element.
    `Hamlet.BODY<T>` | `h6(String selector, String cdata)` Add a complete H6 element.
    `Hamlet.HR<Hamlet.BODY<T>>` | `hr()` Add a HR (horizontal rule) element.
    `Hamlet.BODY<T>` | `hr(String selector)` Add a HR element.
    `Hamlet.INS<Hamlet.BODY<T>>` | `ins()` Add an INS (insert) element.
    `Hamlet.BODY<T>` | `ins(String cdata)` Add a complete INS element.
    `Hamlet.OL<Hamlet.BODY<T>>` | `ol()` Add a OL (ordered list) element.
    `Hamlet.OL<Hamlet.BODY<T>>` | `ol(String selector)` Add a OL (ordered list) element.
    `Hamlet.P<Hamlet.BODY<T>>` | `p()` Add a P (paragraph) element.
    `Hamlet.P<Hamlet.BODY<T>>` | `p(String selector)` Add a P (paragraph) element.
    `Hamlet.PRE<Hamlet.BODY<T>>` | `pre()` Add a PRE (preformatted) element.
    `Hamlet.PRE<Hamlet.BODY<T>>` | `pre(String selector)` Add a PRE (preformatted) element.
    `Hamlet.SCRIPT<Hamlet.BODY<T>>` | `script()` Add a script element.
    `Hamlet.BODY<T>` | `script(String src)` Add a script element
    `Hamlet.TABLE<Hamlet.BODY<T>>` | `table()` Add a TABLE element.
    `Hamlet.TABLE<Hamlet.BODY<T>>` | `table(String selector)` Add a TABLE element.
    `Hamlet.UL<Hamlet.BODY<T>>` | `ul()` Add a UL (unordered list) element.
    `Hamlet.UL<Hamlet.BODY<T>>` | `ul(String selector)` Add a UL (unordered list) element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp

      `_, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Constructor Detail

    - #### BODY

          public BODY(String name,
                      T parent,
                      EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $onload

          public Hamlet.BODY<T> $onload(String value)

      Description copied from interface: `HamletSpec.BODY`
      The document has been loaded.
      Specified by:
        `$onload` in interface `HamletSpec.BODY`
      Parameters:
        `value` - to invoke
      Returns:
        the current element builder

    - #### $onunload

          public Hamlet.BODY<T> $onunload(String value)

      Description copied from interface: `HamletSpec.BODY`
      The document has been removed
      Specified by:
        `$onunload` in interface `HamletSpec.BODY`
      Parameters:
        `value` - to invoke
      Returns:
        the current element builder

    - #### $id

          public Hamlet.BODY<T> $id(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      document-wide unique id
      Specified by:
        `$id` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the id
      Returns:
        the current element builder

    - #### $class

          public Hamlet.BODY<T> $class(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      space-separated list of classes
      Specified by:
        `$class` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the classes
      Returns:
        the current element builder

    - #### $title

          public Hamlet.BODY<T> $title(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the title
      Returns:
        the current element builder

    - #### $style

          public Hamlet.BODY<T> $style(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      associated style info
      Specified by:
        `$style` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the style
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.BODY<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.BODY<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### $onclick

          public Hamlet.BODY<T> $onclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was clicked
      Specified by:
        `$onclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          public Hamlet.BODY<T> $ondblclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was double clicked
      Specified by:
        `$ondblclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          public Hamlet.BODY<T> $onmousedown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was pressed down
      Specified by:
        `$onmousedown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          public Hamlet.BODY<T> $onmouseup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was released
      Specified by:
        `$onmouseup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          public Hamlet.BODY<T> $onmouseover(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved onto
      Specified by:
        `$onmouseover` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          public Hamlet.BODY<T> $onmousemove(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved within
      Specified by:
        `$onmousemove` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          public Hamlet.BODY<T> $onmouseout(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved away
      Specified by:
        `$onmouseout` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          public Hamlet.BODY<T> $onkeypress(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed and released
      Specified by:
        `$onkeypress` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          public Hamlet.BODY<T> $onkeydown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed down
      Specified by:
        `$onkeydown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          public Hamlet.BODY<T> $onkeyup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was released
      Specified by:
        `$onkeyup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### table

          public Hamlet.TABLE<Hamlet.BODY<T>> table()

      Description copied from interface: `HamletSpec._Block`
      Add a TABLE element.
      Specified by:
        `table` in interface `HamletSpec._Block`
      Returns:
        a new TABLE element builder

    - #### table

          public Hamlet.TABLE<Hamlet.BODY<T>> table(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a TABLE element.
      Specified by:
        `table` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TABLE element builder

    - #### address

          public Hamlet.BODY<T> address(String cdata)

      Description copied from interface: `HamletSpec._Block`
      Add a complete ADDRESS element.
      Specified by:
        `address` in interface `HamletSpec._Block`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### address

          public Hamlet.ADDRESS<Hamlet.BODY<T>> address()

      Description copied from interface: `HamletSpec._Block`
      Add a ADDRESS element.
      Specified by:
        `address` in interface `HamletSpec._Block`
      Returns:
        a new ADDRESS element builder

    - #### p

          public Hamlet.P<Hamlet.BODY<T>> p(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a P (paragraph) element.
      Specified by:
        `p` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new P element builder

    - #### p

          public Hamlet.P<Hamlet.BODY<T>> p()

      Description copied from interface: `HamletSpec._Block`
      Add a P (paragraph) element.
      Specified by:
        `p` in interface `HamletSpec._Block`
      Returns:
        a new P element builder

    - #### _

          public Hamlet.BODY<T> _(Class<? extends SubView> cls)

      Description copied from interface: `HamletSpec._Block`
      Embed a sub-view.
      Specified by:
        `_` in interface `HamletSpec._Block`
      Parameters:
        `cls` - the sub-view class
      Returns:
        the current element builder

    - #### hr

          public Hamlet.HR<Hamlet.BODY<T>> hr()

      Description copied from interface: `HamletSpec._Block`
      Add a HR (horizontal rule) element.
      Specified by:
        `hr` in interface `HamletSpec._Block`
      Returns:
        a new HR element builder

    - #### hr

          public Hamlet.BODY<T> hr(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a HR element.
      Specified by:
        `hr` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new HR element builder

    - #### dl

          public Hamlet.DL<Hamlet.BODY<T>> dl(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a DL element.
      Specified by:
        `dl` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DL element builder

    - #### dl

          public Hamlet.DL<Hamlet.BODY<T>> dl()

      Description copied from interface: `HamletSpec._Block`
      Add a DL (description list) element.
      Specified by:
        `dl` in interface `HamletSpec._Block`
      Returns:
        a new DL element builder

    - #### div

          public Hamlet.DIV<Hamlet.BODY<T>> div(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a DIV element.
      Specified by:
        `div` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DIV element builder

    - #### div

          public Hamlet.DIV<Hamlet.BODY<T>> div()

      Description copied from interface: `HamletSpec._Block`
      Add a DIV element.
      Specified by:
        `div` in interface `HamletSpec._Block`
      Returns:
        a new DIV element builder

    - #### blockquote

          public Hamlet.BLOCKQUOTE<Hamlet.BODY<T>> blockquote()

      Description copied from interface: `HamletSpec._Block`
      Add a BLOCKQUOTE element.
      Specified by:
        `blockquote` in interface `HamletSpec._Block`
      Returns:
        a new BLOCKQUOTE element builder

    - #### bq

          public Hamlet.BLOCKQUOTE<Hamlet.BODY<T>> bq()

      Description copied from interface: `HamletSpec._Block`
      Alias of blockquote
      Specified by:
        `bq` in interface `HamletSpec._Block`
      Returns:
        a new BLOCKQUOTE element builder

    - #### h1

          public Hamlet.BODY<T> h1(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element.
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h1

          public Hamlet.H1<Hamlet.BODY<T>> h1()

      Description copied from interface: `HamletSpec.Heading`
      Add an H1 element.
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Returns:
        a new H1 element builder

    - #### h1

          public Hamlet.BODY<T> h1(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          public Hamlet.BODY<T> h2(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H2 element.
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          public Hamlet.H2<Hamlet.BODY<T>> h2()

      Description copied from interface: `HamletSpec.Heading`
      Add an H2 element.
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Returns:
        a new H2 element builder

    - #### h2

          public Hamlet.BODY<T> h2(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          public Hamlet.H3<Hamlet.BODY<T>> h3()

      Description copied from interface: `HamletSpec.Heading`
      Add an H3 element.
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Returns:
        a new H3 element builder

    - #### h3

          public Hamlet.BODY<T> h3(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H3 element.
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          public Hamlet.BODY<T> h3(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          public Hamlet.H4<Hamlet.BODY<T>> h4()

      Description copied from interface: `HamletSpec.Heading`
      Add an H4 element.
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Returns:
        a new H4 element builder

    - #### h4

          public Hamlet.BODY<T> h4(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H4 element.
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          public Hamlet.BODY<T> h4(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H4 element
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          public Hamlet.H5<Hamlet.BODY<T>> h5()

      Description copied from interface: `HamletSpec.Heading`
      Add an H5 element.
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Returns:
        a new H5 element builder

    - #### h5

          public Hamlet.BODY<T> h5(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H5 element.
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          public Hamlet.BODY<T> h5(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H5 element
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          public Hamlet.H6<Hamlet.BODY<T>> h6()

      Description copied from interface: `HamletSpec.Heading`
      Add an H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Returns:
        a new H6 element builder

    - #### h6

          public Hamlet.BODY<T> h6(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          public Hamlet.BODY<T> h6(String selector,
                                   String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### ul

          public Hamlet.UL<Hamlet.BODY<T>> ul()

      Description copied from interface: `HamletSpec.Listing`
      Add a UL (unordered list) element.
      Specified by:
        `ul` in interface `HamletSpec.Listing`
      Returns:
        a new UL element builder

    - #### ul

          public Hamlet.UL<Hamlet.BODY<T>> ul(String selector)

      Description copied from interface: `HamletSpec.Listing`
      Add a UL (unordered list) element.
      Specified by:
        `ul` in interface `HamletSpec.Listing`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new UL element builder

    - #### ol

          public Hamlet.OL<Hamlet.BODY<T>> ol()

      Description copied from interface: `HamletSpec.Listing`
      Add a OL (ordered list) element.
      Specified by:
        `ol` in interface `HamletSpec.Listing`
      Returns:
        a new UL element builder

    - #### ol

          public Hamlet.OL<Hamlet.BODY<T>> ol(String selector)

      Description copied from interface: `HamletSpec.Listing`
      Add a OL (ordered list) element.
      Specified by:
        `ol` in interface `HamletSpec.Listing`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new UL element builder

    - #### pre

          public Hamlet.PRE<Hamlet.BODY<T>> pre()

      Description copied from interface: `HamletSpec.Preformatted`
      Add a PRE (preformatted) element.
      Specified by:
        `pre` in interface `HamletSpec.Preformatted`
      Returns:
        a new PRE element builder

    - #### pre

          public Hamlet.PRE<Hamlet.BODY<T>> pre(String selector)

      Description copied from interface: `HamletSpec.Preformatted`
      Add a PRE (preformatted) element.
      Specified by:
        `pre` in interface `HamletSpec.Preformatted`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new PRE element builder

    - #### form

          public Hamlet.FORM<Hamlet.BODY<T>> form()

      Description copied from interface: `HamletSpec._Form`
      Add a FORM element.
      Specified by:
        `form` in interface `HamletSpec._Form`
      Returns:
        a new FORM element builder

    - #### form

          public Hamlet.FORM<Hamlet.BODY<T>> form(String selector)

      Description copied from interface: `HamletSpec._Form`
      Add a FORM element.
      Specified by:
        `form` in interface `HamletSpec._Form`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new FORM element builder

    - #### fieldset

          public Hamlet.FIELDSET<Hamlet.BODY<T>> fieldset()

      Description copied from interface: `HamletSpec._FieldSet`
      Add a FIELDSET element.
      Specified by:
        `fieldset` in interface `HamletSpec._FieldSet`
      Returns:
        a new FIELDSET element builder

    - #### fieldset

          public Hamlet.FIELDSET<Hamlet.BODY<T>> fieldset(String selector)

      Description copied from interface: `HamletSpec._FieldSet`
      Add a FIELDSET element.
      Specified by:
        `fieldset` in interface `HamletSpec._FieldSet`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new FIELDSET element builder

    - #### script

          public Hamlet.SCRIPT<Hamlet.BODY<T>> script()

      Description copied from interface: `HamletSpec._Script`
      Add a script element.
      Specified by:
        `script` in interface `HamletSpec._Script`
      Returns:
        a script element builder

    - #### script

          public Hamlet.BODY<T> script(String src)

      Description copied from interface: `HamletSpec._Script`
      Add a script element
      Specified by:
        `script` in interface `HamletSpec._Script`
      Parameters:
        `src` - uri of the script
      Returns:
        the current element builder

    - #### ins

          public Hamlet.INS<Hamlet.BODY<T>> ins()

      Description copied from interface: `HamletSpec._InsDel`
      Add an INS (insert) element.
      Specified by:
        `ins` in interface `HamletSpec._InsDel`
      Returns:
        an INS element builder

    - #### ins

          public Hamlet.BODY<T> ins(String cdata)

      Description copied from interface: `HamletSpec._InsDel`
      Add a complete INS element.
      Specified by:
        `ins` in interface `HamletSpec._InsDel`
      Parameters:
        `cdata` - inserted data
      Returns:
        the current element builder

    - #### del

          public Hamlet.DEL<Hamlet.BODY<T>> del()

      Description copied from interface: `HamletSpec._InsDel`
      Add a DEL (delete) element.
      Specified by:
        `del` in interface `HamletSpec._InsDel`
      Returns:
        a DEL element builder

    - #### del

          public Hamlet.BODY<T> del(String cdata)

      Description copied from interface: `HamletSpec._InsDel`
      Add a complete DEL element.
      Specified by:
        `del` in interface `HamletSpec._InsDel`
      Parameters:
        `cdata` - deleted data
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.